All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
power_iter.hpp File Reference

Defines a tag for the configuration of the power iteration method. More...

`#include <cmath>`
`#include <vector>`
`#include "viennacl/linalg/bisect.hpp"`
`#include "viennacl/linalg/prod.hpp"`
`#include "viennacl/linalg/norm_2.hpp"`

Go to the source code of this file.

## Classes

class | viennacl::linalg::power_iter_tag
| A tag for the power iteration algorithm. More...

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.

## Functions

template<typename MatrixT , typename VectorT >
viennacl::result_of::cpu_value_type < typename MatrixT::value_type > ::type | viennacl::linalg::eig (MatrixT const &A, power_iter_tag const &tag, VectorT &eigenvec)
| Implementation of the calculation of the largest eigenvalue (in modulus) and the associated eigenvector using power iteration. More...
template<typename MatrixT >
viennacl::result_of::cpu_value_type < typename MatrixT::value_type > ::type | viennacl::linalg::eig (MatrixT const &A, power_iter_tag const &tag)
| Implementation of the calculation of eigenvalues using power iteration. Does not return the eigenvector. More...

## Detailed Description

Defines a tag for the configuration of the power iteration method.

Contributed by Astrid Rupp.

Definition in file power_iter.hpp.